Bug 187862 - python-imaging is missing _imagingtk.so
python-imaging is missing _imagingtk.so
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-imaging (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On: 187739
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 22:25 EDT by D.S. Blank
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.1.5-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 13:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description D.S. Blank 2006-04-03 22:25:10 EDT
Description of problem:

Something is broken in python-imaging. It is not working when attempting to use
with Tkinter in displaying images.

Version-Release number of selected component (if applicable):

python-imaging-1.1.5-2.fc5

How reproducible:

Missing file, so it is constant.

Steps to Reproduce:
1. python
2. import _imagingtk
  
Actual results:

ImportError: No module named _imagingtk

Expected results:

(none)

Additional info:

It could be that this file has been renamed, or removed. But I see it is listed
as being in the PPC python-imaging package so I think there is a missing file.
Comment 1 D.S. Blank 2006-04-03 22:50:23 EDT
I did build python-imaging from sources, and that works as expected. Therefore,
it is a missing file in the building of the RPM package. How do I contact the
builder?
Comment 2 Mihai Ibanescu 2006-04-06 12:57:39 EDT
Reassigning to the right component
Comment 3 José Matos 2006-04-06 13:19:03 EDT
Not my fault. ;-)

This is the result of #187739, until today when a new tix package solved the 
problem there was nothing I could do to solve it.

I have requested a new build so it should be available soon.

Comment 4 José Matos 2006-04-06 13:39:31 EDT
Build succeeded:
--------------------------------------------------------------------
PIL 1.1.5 BUILD SUMMARY
--------------------------------------------------------------------
version       1.1.5
platform      linux2 2.4.2 (#1, Feb 12 2006, 03:59:46)
              [GCC 4.1.0 20060210 (Red Hat 4.1.0-0.24)]
--------------------------------------------------------------------
--- TKINTER support ok
--- JPEG support ok
--- ZLIB (PNG/ZIP) support ok
--- FREETYPE2 support ok
--------------------------------------------------------------------

It should be out soon.

Note You need to log in before you can comment on or make changes to this bug.